Can't add repos to a content view by name

04/04/2014 05:21 AM - Mike McCune

Status: Closed   

Priority: Normal   

Assignee: David Davis   

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

is this operator error?

# hammer content-view add-repository --organization-id=DemoOrg --name=RHEL6 --repository="Red Hat 

Enterprise Linux 6 Server RPMs x86_64 6Server" 

Could not add repository:

  Error: Unrecognised option '--organization-id'

  See: 'hammer content-view add-repository --help'

# hammer content-view add-repository  --name=RHEL6 --repository="Red Hat Enterprise Linux 6 Server

 RPMs x86_64 6Server" 

Could not add repository:

  One of parameters [ organization_id ] required but not specified.

 tried with _

# hammer content-view add-repository --organization_id=DemoOrg --name=RHEL6 --repository="Red Hat 

Enterprise Linux 6 Server RPMs x86_64 6Server" 

Could not add repository:

  Error: Unrecognised option '--organization_id'

  See: 'hammer content-view add-repository --help'

 help shows:

# hammer content-view add-repository --help

Usage:

    hammer content-view add-repository [OPTIONS]

Options:

    --id ID                       resource id

    --name NAME                   resource name

    --repository REPOSITORY

    --repository-id REPOSITORY_ID

    -h, --help                    print help

 ????

Associated revisions

Revision b6e2cd3a - 04/06/2014 03:11 PM - David Davis

Fixes #5070 - Disabling name for associate commands

Revision cef7475e - 04/08/2014 06:48 PM - David Davis

Merge pull request #136 from daviddavis/temp/20140405071614
Fixes #5070 - Disabling name for associate commands

History

#1 - 04/04/2014 05:22 AM - Mike McCune

- Description updated

#2 - 04/04/2014 01:34 PM - Justin Sherrill

It appears using the --name=RHEL6 is broken.  If you use --id=3  (or whatever the id is of that content view) along with --repository-id=5 it seems to

work.  Still digging.

#3 - 04/04/2014 02:37 PM - Justin Sherrill

- Priority changed from Urgent to High

#4 - 04/04/2014 05:40 PM - Eric Helms

- Category set to Hammer

#5 - 04/04/2014 05:46 PM - Mike McCune

- Subject changed from Urgent: Can't add repos to a content view to Can't add repos to a content view

#6 - 04/05/2014 02:00 PM - David Davis

FYI, this worked a couple weeks ago:

hammer content-view add-repository  --id 2 --repository-id 1

#7 - 04/05/2014 02:02 PM - David Davis

Here's the PR that added the name option to commands (I think):

#8 - 04/05/2014 02:16 PM - David Davis

I see now that we're getting the name option from HammerCLIForeman. Will open a PR.

#9 - 04/05/2014 02:18 PM - David Davis

https://github.com/Katello/hammer-cli-katello/pull/136

#10 - 04/05/2014 02:40 PM - David Davis

- Subject changed from Can't add repos to a content view to Can't add repos to a content view by name

- Priority changed from High to Low

#11 - 04/05/2014 02:40 PM - David Davis

- Priority changed from Low to Normal

#12 - 04/07/2014 05:48 PM - David Davis

- Status changed from New to Assigned

- Assignee changed from Justin Sherrill to David Davis

#13 - 04/08/2014 07:06 PM - David Davis

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|commit:b6e2cd3a52c9d7e4c0106d2f91d3f91695041c5a.

#14 - 08/21/2014 02:44 PM - Eric Helms

- translation missing: en.field_release set to 13
